#!/bin/sh

# UART status/control register address
UART3_REG_ADDRS_AR="0x5000c080 0x5000c084 0x5000c088 0x5000c08c 0x5000c090 0x5000c094 0x5000c098"

if [ ! -e ./devmem2 ]; then
    echo "./devmem2 does not exist."
    exit 1
fi

echo addr : data

for i in $UART3_REG_ADDRS_AR
do
    echo "$i : $(./devmem2 $i w)"
done
